=== debian/changelog ===
twinkle (1:1.10.1+dfsg-1) unstable; urgency=medium

  [ Rolf Leggewie ]
  * Add myself to Uploaders (Closes: #814396)
  * Imported Upstream version 1.10.1+dfsg
  * Drop obsolete compile-time dependency on libcommoncpp2-dev
  * Add my copyright for Debian packaging information

  [ Peter Colberg ]
  * Explicitly build depend on libucommon-dev
  * Bump debhelper compat level to 10
  * Fix spelling mistakes found by lintian

 -- Peter Colberg <peter@colberg.org>  Fri, 28 Oct 2016 23:51:47 -0400
