=== debian/control ===
Source: twinkle
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Peter Colberg <peter@colberg.org>,
           Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: bison,
               cmake,
               debhelper (>= 10),
               flex,
               libasound2-dev [linux-any],
               libccrtp-dev,
               libgsm1-dev,
               libmagic-dev,
               libreadline-dev,
               libsndfile1-dev,
               libspeex-dev,
               libspeexdsp-dev,
               libucommon-dev,
               libxml2-dev,
               linux-libc-dev [linux-any],
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: http://twinkle.dolezel.info/
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/twinkle.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/twinkle.git

Package: twinkle
Architecture: any
Depends: qml-module-qtquick2,
         twinkle-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Voice over Internet Protocol (VoIP) SIP Phone (GUI)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains the graphical interface.

Package: twinkle-console
Architecture: any
Depends: twinkle-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: twinkle (= ${binary:Version})
Description: Voice over Internet Protocol (VoIP) SIP Phone (console)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains the console interface. Note that the console
 interface provides a reduced set of features; in particular, the
 graphical interface is needed to create the configuration files.

Package: twinkle-common
Architecture: all
Depends: ${misc:Depends}
Breaks: twinkle (<< 1:1.9.0+git20160520.0.be8b8df+dfsg-1~)
Replaces: twinkle (<< 1:1.9.0+git20160520.0.be8b8df+dfsg-1~)
Description: Voice over Internet Protocol (VoIP) SIP Phone (common files)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains common files for both interfaces.
