=== debian/changelog ===
twinkle (1:1.10.2+dfsg-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:45 +1100

twinkle (1:1.10.2+dfsg-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:20:47 +0000

twinkle (1:1.10.2+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:04:45 +0000

twinkle (1:1.10.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Change upstream URL taken over by hostile actors (Closes: #1034661)

 -- Bernhard Schmidt <berni@debian.org>  Sat, 20 May 2023 17:12:46 +0200

twinkle (1:1.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.10.2+dfsg
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Thu, 03 Dec 2020 15:47:34 +0100

twinkle (1:1.10.1+dfsg-4) unstable; urgency=medium

  * wrap-and-sort -sat
  * add myself to Uploaders
  * set twinkle-common as Multi-Arch: foreign
  * add fix for alsa v1.1.7 from upstream
  * update Standards-Version to 4.2.1, no changes needed

 -- Victor Seva <vseva@debian.org>  Wed, 12 Dec 2018 09:40:42 +0100

twinkle (1:1.10.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with Qt 5.11,
    thanks to Juhani Numminen. (Closes: #906657)
  * Remove alternative dependency on the no longer existing
    qtdeclarative5-qtquick2-plugin. (Closes: #904029)

 -- Adrian Bunk <bunk@debian.org>  Sun, 16 Sep 2018 19:21:15 +0300

twinkle (1:1.10.1+dfsg-3) unstable; urgency=medium

  * Drop unneeded build-deps on qtscript5-dev and qttools5-dev-tools.
    Thanks to Frédéric Brière (Closes: #890093)
  * Update Vcs-* fields for move to salsa.debian.org
  * Use https for copyright-format URL
  * Bump Standards-Version to 4.1.3

 -- Peter Colberg <peter@colberg.org>  Tue, 27 Mar 2018 21:25:58 -0400

twinkle (1:1.10.1+dfsg-2) unstable; urgency=medium

  [ Rolf Leggewie ]
  * debian/rules:
    - Use debian/clean and drop override_dh_clean target
  * debian/control:
    - Optionally depend on qtdeclarative5-qtquick2-plugin for Ubuntu trusty

 -- Peter Colberg <peter@colberg.org>  Sun, 06 Nov 2016 13:23:08 -0500
