## twinkle 1.10.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
 
-set(PRODUCT_VERSION "1.10.2")
-set(PRODUCT_DATE    "February 14, 2018")
+set(PRODUCT_VERSION "1.10.3")
+set(PRODUCT_DATE    "February 18, 2022")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 OPTION(WITH_ZRTP		"Enable ZRTP encrypted calls" OFF)
