=== debian/changelog ===
twinkle (1:1.10.3+dfsg-2) unstable; urgency=medium

  * Team upload
  * Override min cmake version (Closes: #1113592)
  * Update to debhelper-compat level 12

 -- Bastian Germann <bage@debian.org>  Fri, 17 Oct 2025 19:32:56 +0200

twinkle (1:1.10.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.10.3+dfsg (Closes: #1054566)

 -- Bastian Germann <bage@debian.org>  Thu, 27 Mar 2025 20:52:56 +0000

twinkle (1:1.10.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * Override C++ std to build with new libicu (Closes: #1101259)

 -- Bastian Germann <bage@debian.org>  Thu, 27 Mar 2025 19:32:22 +0100
