=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: twinkle
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Peter Colberg <peter@colberg.org>,
  Rolf Leggewie <foss@rolf.leggewie.biz>,
@@ -10,7 +9,7 @@
 Build-Depends:
  bison,
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  flex,
  libasound2-dev [linux-any],
  libccrtp-dev,
