=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/architecture.mk
 
 # Disable ZRTP support for now (see: #797554)
-CONFIGURE_FLAGS = -DWITH_QT5=ON -DWITH_ZRTP=OFF -DWITH_SPEEX=ON -DWITH_GSM=ON
+CONFIGURE_FLAGS = -DWITH_QT5=ON -DWITH_ZRTP=OFF -DWITH_SPEEX=ON -DWITH_GSM=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 # Enable ALSA support on Linux only
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -21,10 +21,6 @@
 %:
 	dh $@
 
-override_dh_clean:
-	rm -f debian/twinkle.1
-	dh_clean
-
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
